using WorkStation.Share;

namespace WorkStation.Server.Services
{
    public interface IBaseSerivice<T>
    {
        Task<ApiResponse> AddAsync(T item);
        Task<ApiResponse> DelateAsync(int id);
        Task<ApiResponse> UpdateAsync(T item);
        Task<ApiResponse> GetByIdAsync(int id);
        Task<ApiResponse> GetAllAsync();

    }
}
